Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.quartz
Class DelegatingJob

    java.lang.Object
      org.springframework.scheduling.quartz.DelegatingJob

All Implemented Interfaces:
  Job

    public class DelegatingJob

extends Object
implements Job

Simple Quartz `Job` adapter that delegates to a given `Runnable` instance.

Typically used in combination with property injection on the Runnable instance, receiving parameters from the Quartz JobDataMap that way instead of via the JobExecutionContext.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `SpringBeanJobFactory`, `Job.execute(org.quartz.JobExecutionContext)`

Constructor Summary
`DelegatingJob(Runnable delegate)` Create a new DelegatingJob.

Method Summary
`void` | `execute(JobExecutionContext context)` Delegates execution to the underlying Runnable.
`Runnable` | `getDelegate()` Return the wrapped Runnable implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingJob

    public DelegatingJob(Runnable delegate)

  Create a new DelegatingJob.

  Parameters:
    `delegate` - the Runnable implementation to delegate to

Method Detail

### getDelegate

    public final Runnable getDelegate()

  Return the wrapped Runnable implementation.

### execute

    public void execute(JobExecutionContext context)
                 throws JobExecutionException

  Delegates execution to the underlying Runnable.

  Specified by:
    `execute` in interface `Job`
  Throws:
    `JobExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.